package com.webchat.domain.vo.llm.image;


import lombok.Data;

@Data
public class RequestGenerateParam extends RequestGenerateBase {

    private String templateUuid;

    private RequestGenerateBaseParam generateParams;

    public static RequestGenerateParam of(String templateUuid, RequestGenerateBaseParam generateParams) {
        RequestGenerateParam requestGenerateParam = new RequestGenerateParam();
        requestGenerateParam.setTemplateUuid(templateUuid);
        requestGenerateParam.setGenerateParams(generateParams);
        return requestGenerateParam;
    }
}
